<?php
require_once (JPATH_ADMINISTRATOR . '/templates/'. _ADMIN_TPL . '/helper.php');

$lang = JFactory::getLanguage();
$base_dir = JPATH_ADMINISTRATOR;
$language_tag = $lang->getTag();
$reload = true;

//Load templates language
$lang->load('tpl_'._ADMIN_TPL, $base_dir, $language_tag, $reload);

JModelLegacy::addIncludePath(JPATH_ADMINISTRATOR . '/components/com_users/models', 'UsersModel');
$model = JModelLegacy::getInstance('Groups', 'UsersModel', array('ignore_request' => true));
$groups = $model->getItems();

// Get list of Modules.
$modules_admin = BKTMPHelper::getModules('1');

// Get module description
jimport('joomla.filesystem.file');
foreach($modules_admin as $module) {
	//Load module language
	$lang->load($module->module, $base_dir, $language_tag, $reload);
	$file = JPATH_ADMINISTRATOR . '/modules/'.$module->module.'/'.$module->module.'.xml';
	if (JFile::exists($file)) {
		$module->description = JText::_(simplexml_load_file($file)->description);
	} else {
		$module->description = '';
	}
}
?>

<p class="manager-dashboard-desc"><?php echo JText::_('TPL_ADMIN_DASHBOARD_MANAGER_DESC'); ?></p>

<?php echo JText::_('TPL_ADMIN_DASHBOARD_PROFILES'); ?> 
<select id="profile" class="profile" name="profile_name">
<?php foreach ($groups as $group) : ?>
	<?php if(in_array($group->id, array(6,7,8)) || in_array($group->parent_id, array(6,7,8))) : ?>
	<option value="<?php echo $group->id ?>">
		<?php for ($i=0; $i<$group->level; $i++) echo '-'; ?>
		<?php echo $group->title ?>
	</option>
	<?php endif; ?>
<?php endforeach ?>
</select>
<div id="message"></div>
<ul class="nav nav-tabs" role="tablist">
	<li id="db-modules" role="presentation" class="active"><a href="#modules" aria-controls="modules" role="tab" data-toggle="tab"><?php echo JText::_('TPL_ADMIN_DASHBOARD_MODULES'); ?></a></li>
	<li id="db-quicklinks" role="presentation"><a href="#quicklinks" aria-controls="quicklinks" role="tab" data-toggle="tab"><?php echo JText::_('TPL_ADMIN_DASHBOARD_QUICKLINKS'); ?></a></li>
</ul>
<div class="tab-content">
	<!-- Modules -->
	<div role="tabpanel" class="tab-pane fade in active" id="modules">
		<table id="moduleList" class="table table-striped">
			<thead>
				<tr>
					<th class="title" width="20%"><?php echo JText::_('TPL_ADMIN_DASHBOARD_MODULES_TITLE'); ?></th>
					<th class="left"><?php echo JText::_('TPL_ADMIN_DASHBOARD_MODULES_POSITION'); ?></th>
					<th class="left"><?php echo JText::_('TPL_ADMIN_DASHBOARD_MODULES_STATUS'); ?></th>
					<th width="10%" class="nowrap hidden-phone"><?php echo JText::_('TPL_ADMIN_DASHBOARD_MODULES_TYPE'); ?></th>
					<th width="40%" class="nowrap hidden-phone"><?php echo JText::_('TPL_ADMIN_DASHBOARD_MODULES_DESCRIPTION'); ?></th>
					<th width="10%" class="nowrap hidden-phone"><?php echo JText::_('TPL_ADMIN_DASHBOARD_MODULES_ACCESS'); ?></th>
				</tr>
			</thead>
			<tbody>
			<?php foreach ($modules_admin as $module) : ?>
				<tr sortable-group-id="cpanel" class="row0">
					<td><?php echo $module->title; ?></td>
					<td><?php echo $module->position; ?></td>
					<td width="10%" class="left">
						<fieldset id="module-<?php echo $module->module.$module->id; ?>" class="btn-group radio">
							<input id="module-<?php echo $module->module.$module->id; ?>0" type="radio" checked="checked" value="0" name="jform[params][<?php echo $module->module.$module->id;?>]">
							<label class="btn active btn-danger" for="module-<?php echo $module->module.$module->id; ?>0"><?php echo JText::_('JNO'); ?></label>
							<input id="module-<?php echo $module->module.$module->id; ?>1" type="radio" value="1" name="jform[params][<?php echo $module->module.$module->id;?>]">
							<label class="btn" for="module-<?php echo $module->module.$module->id; ?>1"><?php echo JText::_('JYES'); ?></label>
						</fieldset>
					</td>
					<td class="left">
						<?php echo $module->name; ?>
					</td>
					<td class="left">
						<?php echo $module->description; ?>
					</td>
					<td class="left">
					<?php echo $module->access_level; ?>
					</td>
				</tr>
			<?php endforeach; ?>
			</tbody>
		</table>
	</div>
	
	<!-- Qick links -->
	<div role="tabpanel" class="tab-pane fade" id="quicklinks">
		<!-- System links -->
		<div id="dashboard-quicklinks"></div>
	</div>
</div>
<script>
	jQuery(document).ready(function($){
		$('#profile').find('option[value="'+$('#dashboard').find('option:selected').val()+'"]').attr('selected', true);
		var profile_id = $('#profile').find('option:selected').val();
		loadQuicklinks(profile_id);
		
		// Tracking on change profile
		$('#profile').change(function() {
				var profile_id = $(this).val();
				loadQuicklinks(profile_id);
		});
		
		// loadprofile function
		function loadprofile (id, callback) {
			$.ajax({
				type: 'POST',
				url: 'index.php?athajax=dashboard&action=loadprofile',
				data: {id},
				success: function(data) {
					if (data){
						var $inputs = $.parseJSON(data);
						var modules = $inputs.modules ;
						if ($inputs.quicklinks) {
							var quicklinks = $inputs.quicklinks;
						}
						
						//Modules status
						$.each(modules, function(key, value) {
							$('input#module-'+key+value).attr('checked', true);
							$('label[for="module-'+key+value+'"]').addClass('active');
							if (value == '0') {
								$('input#module-'+key+'1').attr('checked', false);
								$('label[for="module-'+key+value+'"]').addClass('btn-danger');
								$('label[for="module-'+key+'1"]').removeClass('btn-success active');
							} else {
								$('input#module-'+key+'0').attr('checked', false);
								$('label[for="module-'+key+'0"]').removeClass('btn-danger active');
								$('label[for="module-'+key+value+'"]').addClass('btn-success');
							}
						});
					} else {
						$('input[type="radio"]').each(function() {
							var name = $(this).attr('name').match(/\[([^\]]*)\]$/);
							if (name) {
								if ($(this).val() == 0 && !name[1].match(/^mod_/)) {
									$(this).attr('checked', true);
									$(this).next().addClass('active btn-danger')
								} else if($(this).val() == 1 && name[1].match(/^mod_/)) {
									$(this).attr('checked', true);
									$(this).next().addClass('active btn-success');
								} else {
									$(this).attr('checked', false);
									if ($(this).next().hasClass('active')) {
										$(this).next().removeClass('active btn-danger');
									}
								}
							}
						});
					} 
				}
			});
		}
		 
		function loadQuicklinks(profile_id) {
			$.ajax({
				type : 'POST',
				url : 'index.php?athajax=dashboard&action=loadquicklinks',
				data : {'profile_id' : profile_id},
				success : function(data) {
					$('#dashboard-quicklinks').html(data);
					var profile_id = $('#profile').find('option:selected').val();
					loadprofile(profile_id);
					$('#dashboard-manage .radio.btn-group').radioToBtnGroup();
					var ScriptURL ='<?php echo JUri::base() . 'templates/'. _ADMIN_TPL . '/js/quicklink.js'; ?>';
					$.getScript(ScriptURL, function() {});
				}
			});
		}
	});
</script>